Articles of ubuntu

Erro ao instalar o Nokogiri 1.5.0 com rails 3.1.0 e ubuntu

Aqui está o erro de execução do fornecedor / gemas de instalação do pacote no servidor: Installing nokogiri (1.5.0) with native extensions Gem::Installer::ExtensionBuildError: ERROR: Failed to build gem native extension. /home/dtt/.rvm/rubyes/ruby-1.9.2-p290/bin/ruby extconf.rb checking for libxml/parser.h… no —– libxml2 is missing. please visit http://nokogiri.org/tutorials/installing_nokogiri.html for help with installing dependencies. —– *** extconf.rb failed *** Could not […]

Como posso desinstalar o Ruby no Ubuntu?

Como posso desinstalar o Ruby 1.9.2dev (2010-07-02) [i486-linux] no Ubuntu? Precisa reinstalar – por favor ajude

erro de compilation do programa openCV “libopencv_core.so.2.4: não é possível abrir o arquivo de object compartilhado: Nenhum desses arquivos ou diretório” no Ubuntu 12.04

Eu compilei e instalei o openCV 2.4.2 no Ubuntu 12.04. Em /usr/local/include eu posso ver os diretórios /usr/local/opencv e /usr/local/opencv2 . Aqui está o código que eu escrevi: #include #include #include using namespace cv; using namespace std; int main(int argc,char **argv) { Mat image; image = imread(argv[1],1); if(argc != 2 || !image.data) { cout << […]

ERRO 1130 (HY000): Host ” não tem permissão para se conectar a este servidor MySQL

Por que, oh, por que não consigo me conectar ao mysql? mysql -u root -ptest101 -h xxx.xxx.xxx.xxx ERROR 1130 (HY000): Host ‘xxx.xxx.xxx.xxx’ is not allowed to connect to this MySQL server Na minha.cnf eu tenho o abaixo # Instead of skip-networking the default is now to listen only on # localhost which is more compatible […]

Permitir que o contêiner do docker se conecte a um database postgres local / host

Eu recentemente tenho brincado com o Docker e o QGIS e instalei um container seguindo as instruções deste tutorial . Tudo funciona muito bem, embora eu não consiga me conectar a um database postgres localhost que contenha todos os meus dados GIS. Eu acho que isso é porque meu database postgres não está configurado para […]

Como instalar ia32-libs em Ubuntu 14.04 LTS (Trusty Tahr)

Eu instalei o Ubuntu 14.04 (Trusty Tahr) ontem. Tudo parece bem. Mas quando tentei compilar algum código C, encontro o seguinte erro. O erro parece ser devido ao OS sem o suporte de arquitetura de 32 bits. A saída do erro é como seguindo: /usr/bin/ld: i386 architecture of input file `./libsc.a(ftl_msg.o)’ is incompatible with i386:x86-64 […]

sqlite3-ruby erro de instalação no Ubuntu

Eu tenho o seguinte erro durante a instalação do sqlite3–ruby: Construindo extensões nativas. Isso pode demorar um pouco … ERRO: Erro ao instalar o sqlite3-ruby: ERRO: Falha ao criar a extensão nativa do gem. /usr/bin/ruby1.8 extconf.rb checando por sqlite3.h … nenhum sqlite3.h está faltando. Tente ‘porta instalar sqlite3 + universal’ ou ‘yum instalar sqlite3-devel’ *** […]

Não é possível instalar o NodeJs: / usr / bin / env: node: Nenhum arquivo ou diretório

Estou tentando instalar o nodeJs no meu Ubuntu 14.04 para poder usar o GruntJs. Eu li sobre o Ubuntu maneira diferente de fazê-lo ( problemas? ), Então é isso que eu fiz para instalá-lo: sudo apt-get install npm sudo npm install -g grunt-cli Digitando grunhido depois disso eu tenho o erro: /usr/bin/env: node: No such […]

Atualizando o git do repository de origem no Ubuntu

Eu quero atualizar o git usando o repository de origem no Ubuntu. Como você nota, a última versão estável é a 2.0.2, mas eu tenho o 1.9.4. Eu clonei o repository do git, mas não sei como continuar. Eu quero fazer isso de alguma forma eu posso entender como interagir com os branches e tags […]

Como faço para pegar um valor INI dentro de um script de shell?

Eu tenho um arquivo parameters.ini, como: [parameters.ini] database_user = user database_version = 20110611142248 Eu quero ler e usar a versão do database especificada no arquivo parameters.ini de dentro de um script de shell bash para que eu possa processá-lo. #!/bin/sh # Need to get database version from parameters.ini file to use in script php app/console […]